Commit 16aaa1e2 authored by Holger Levsen's avatar Holger Levsen
Browse files

reproducible diffoscope: add a new job to test whether diffoscope on PyPI is as new as in Debian

parent b2f13291
#!/bin/bash
# Copyright 2014-2016 Holger Levsen <holger@layer-acht.org>
# released under the GPLv=2
DEBUG=false
#. /srv/jenkins/bin/common-functions.sh
#common_init "$@"
cleanup_all() {
rm $TMPPYPI
}
#
# main
#
TMPPYPI=$(mktemp -t diffoscope-pypi-XXXXXXXX)
trap cleanup_all INT TERM EXIT
DIFFOSCOPE_IN_DEBIAN=$(rmadison diffoscope|grep unstable| cut -d "|" -f2 || true)
curl https://pypi.python.org/pypi/diffoscope/ -o $TMPPYPI
DIFFOSCOPE_IN_PYPI=$(grep "<title>" $TMPPYPI | cut -d ">" -f2- | cut -d ":" -f1 |cut -d " " -f2)
echo
echo
if [ "$DIFFOSCOPE_IN_DEBIAN" = "$DIFFOSCOPE_IN_PYPI" ] ; then
echo "Yay. diffoscope in Debian has the same version as on PyPI."
elif dpkg --compare-versions "$DIFFOSCOPE_IN_DEBIAN" gt "$DIFFOSCOPE_IN_PYPI" ; then
echo "Fail: diffoscope in Debian: $DIFFOSCOPE_IN_DEBIAN"
echo "Fail: diffoscope in PyPI: $DIFFOSCOPE_IN_PYPI"
exit 1
fi
# the end
cleanup_all
trap - INT TERM EXIT
...@@ -461,6 +461,10 @@ ...@@ -461,6 +461,10 @@
my_description: 'Build a simple webpage for Fedora 23 reproducibility tests' my_description: 'Build a simple webpage for Fedora 23 reproducibility tests'
my_timed: '' my_timed: ''
my_shell: '/srv/jenkins/bin/reproducible_html_rpms.sh fedora-23 x86_64' my_shell: '/srv/jenkins/bin/reproducible_html_rpms.sh fedora-23 x86_64'
- 'diffoscope_pypi'
my_description: 'Test whether PyPI has the latest diffoscope.'
my_timed: '23 23 * * *'
my_shell: '/srv/jenkins/bin/diffoscope_pypi_test.sh'
my_shellext: ".sh" my_shellext: ".sh"
my_shell: '/srv/jenkins/bin/reproducible_{my_task}{my_shellext}' my_shell: '/srv/jenkins/bin/reproducible_{my_task}{my_shellext}'
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment